Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1267803 - systemd-cgtop: CPU usage per user slice does not show
Summary: systemd-cgtop: CPU usage per user slice does not show
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1298243 1420851 1297395
TreeView+ depends on / blocked
 
Reported: 2015-10-01 05:27 UTC by Susant Sahani
Modified: 2021-06-10 11:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 15:41:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Susant Sahani 2015-10-01 05:27:57 UTC
Description of problem:
When running systemd-cgtop onls shows CPU usage for the '/' path. It does not show CPU usage per user slice. Seeing the IO and memory stats per slice is desirable as well

Version-Release number of selected component (if applicable):
RHEL7.1 x86_64

How reproducible:

always occurs

Actual results:

slice does not show CPU usage

Expected results:
slice should show CPU usage

Comment 2 Susant Sahani 2015-10-01 06:03:10 UTC
Path                                         Tasks   %CPU   Memory  Input/s Output/s

user.slice/user-0.slice/session-273.scope   2      -        -        -        -
/user.slice/user-0.slice/session-375.scope  6      -        -        -        


This woks on fedora

Fedora 23:
systemd-222-6.fc23.x86_64
systemd-compat-libs-222-6.fc23.x86_64
systemd-devel-222-6.fc23.x86_64
systemd-journal-gateway-222-6.fc23.x86_64
systemd-libs-222-6.fc23.x86_64


Path                                       Tasks   %CPU   Memory  Input/s Output/s
/user.slice/user-1000.slice                  79    7.0        -        -        -
/system.slice                              -    1.6   664.8M        -        -

Comment 7 Kyle Walker 2018-11-15 15:41:50 UTC
In order to enable CPU statistics reporting within systemd-cgtop, the cpu cgroup controller must be in use by systemd. This is the default state when any service has CPUAccounting=yes set.

To enable this accounting during boot, the DefaultCPUAccounting configuration can be set within the /etc/systemd/system.conf as shown below:

    # sed -i 's/^.*DefaultCPUAccounting.*$/DefaultCPUAccounting=yes/g' /etc/systemd/system.conf


With this being the case, I am closing this BZ as NOTABUG. Please reopen in the event that enabling CPUAccounting does not achieve the end goal.

- Kyle Walker


Note You need to log in before you can comment on or make changes to this bug.